Subject: bug#10162: 24.0.91; rcirc autojoin broken (freenode/oftc) when rcirc-authenticate-before-join is set

From: "Trent W. Buck" <[email-masked]>
Date: Fri, 17 Feb 2017 12:18:22 +1100

This bug still affected 24.3 in 2013, and 24.5 today.

Due to me misunderstanding how GNU's debbugs instance is configured,
I don't think anyone was CC'd when I told debbug,
so here's today's comment again:

    The #emacs IRC channel recently got +r mode (registered accounts only) to mitigate persistent Judenhass trolling,
    which means that M-x irc opens an #emacs buffer,
    but it just says something like "only registered users can join #emacs".

    If I then type /join #emacs, I get in, because by then *irc.freenode.net* has "-NickServ- You are now identified for trentbuck.".

    I tried setting rcirc-authenticate-before-join back to t to fix that, and the symptoms of this bug (#10162) reappeared.

    I am using emacs24-nox=24.5+1-6~bpo8+1 package from Debian 8 Jessie.

    According to the bug history, damd can reproduce the issue --- any luck fixing it?

PS: I don't have a record of the recipe I gave damd to reproduce the bug :-(